{
  "Bundle-SymbolicName": "ec_map_loading_screen",
  "Bundle-Version": "3.10.0",
  "Bundle-Localization": [],
  "Bundle-Name": "${bundleName}",
  "Bundle-Description": "${bundleDescription}",
  "Bundle-StartLevel": 2,
  "Require-Bundle": [
    {
      "name": "ec_i18n",
      "version": "3.10.0"
    }
  ],
  "Components": [
    {
      "name": "MapLoadingScreen",
      "impl": "MapLoadingScreen",
      "provides": ["ct.framework.api.EventHandler"],
      "properties": {
        "_searchElement": "mainMap",
        "Event-Topics": [
          "ec/odp/extent/APPLIED",
          "ec/odp/ON_EXTENT_ERROR",
          "ct/template/RENDERED"
        ]
      },
      "references": [
        {
          "name": "eventService",
          "providing": "ct.framework.api.EventService"
        },
        {
          "name": "_appCtx",
          "providing": "ct.framework.api.ApplicationContext"
        },
        {
          "name": "_initialExtent",
          "providing": "ec.odp.mapping.InitialExtentProvider",
          "cardinality": "0..1"
        }
      ]
    }
  ]
}
